/*
 * Copyright 2012 Martin Skurla
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package org.crazyjavahacking.astvisualizer.api;


/**
 * Exception thrown when problem during parsing occurs.
 *
 * @author Martin
 */
public final class ASTParsingException extends RuntimeException {

    //-----------------------------------------------------------------------------------------------------------------
    // Constructors.
    //-----------------------------------------------------------------------------------------------------------------
    public ASTParsingException(String message) {
        super(message);
    }

    public ASTParsingException(Throwable cause) {
        super(cause);
    }

    public ASTParsingException(String message, Throwable cause) {
        super(message, cause);
    }
}
