/*
 * Copyright 2012 Martin Skurla
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package org.crazyjavahacking.astvisualizer.impl.javac.util;


import java.io.File;


/**
 * File utility class.
 *
 * @since 1.0.2
 *
 * @author Martin
 */
public final class FileUtils {

    //-----------------------------------------------------------------------------------------------------------------
    // Constructors.
    //-----------------------------------------------------------------------------------------------------------------
    private FileUtils() {}


    //-----------------------------------------------------------------------------------------------------------------
    // Public Methods.
    //-----------------------------------------------------------------------------------------------------------------
    /**
     * Extracts name without extension from given file.
     *
     * @param sourceFile source file
     *
     * @return name without extension
     */
    public static String extractNameWithoutExtension(File sourceFile) {
        String fileNameWithExtension = sourceFile.getName();

        return fileNameWithExtension.substring(0, fileNameWithExtension.lastIndexOf('.'));
    }
}
